Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.watch
Interface CalculableViewable

All Known Implementing Classes:
  CalculableDiskSpaceView, CalculableMemoryView, CounterCalculableView, DefaultCalculableView, ResponseTimeCalculableView, ThresholdCalculableView

    public interface CalculableViewable

Interface defining semantics for viewing a Calculable record

Method Summary
`int` | `getLength()` Get the length for the underlying data collection
`int` | `getOffset()` Get the current offset for the underlying data collection
`double` | `getStartValue()` Getter for property startValue.
`double` | `getStopValue()` Getter for property stopValue.
`void` | `paint(Graphics g, Dimension size)` Paints the view to the graphics context
`void` | `setStartValue(double startValue)` Setter for property startValue.
`void` | `setStopValue(double stopValue)` Setter for property stopValue.
`void` | `setWatchDataSource(WatchDataSource watchDataSource)` Sets the watch data source for this view

Method Detail

### setWatchDataSource

    void setWatchDataSource(WatchDataSource watchDataSource)

  Sets the watch data source for this view

  Parameters:
    `watchDataSource` - the watch data source.

### paint

    void paint(Graphics g,
               Dimension size)

  Paints the view to the graphics context

  Parameters:
    `g` - the graphics context
    `size` - The Dimension to paint

### getOffset

    int getOffset()

  Get the current offset for the underlying data collection

  Returns:
    the current offset for the underlying data collection

### getLength

    int getLength()

  Get the length for the underlying data collection

  Returns:
    the length for the underlying data collection

### getStartValue

    double getStartValue()

  Getter for property startValue.

  Returns:
    Value of property startValue.

### setStartValue

    void setStartValue(double startValue)

  Setter for property startValue.

  Parameters:
    `startValue` - New value of property startValue.

### getStopValue

    double getStopValue()

  Getter for property stopValue.

  Returns:
    Value of property stopValue.

### setStopValue

    void setStopValue(double stopValue)

  Setter for property stopValue.

  Parameters:
    `stopValue` - New value of property stopValue.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.